Merge pull request #74380 from malbarbo/parted-3.3

parted: 3.2 -> 3.3
This commit is contained in:
Niklas Hambüchen 2019-12-07 03:51:01 +01:00 committed by GitHub
commit 5d828f20d2
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
2 changed files with 18 additions and 52 deletions

View file

@ -1,28 +1,29 @@
{ stdenv, fetchurl, fetchpatch, lvm2, libuuid, gettext, readline, perl, python2
, utillinux, check, enableStatic ? false }:
{ stdenv
, fetchurl
, fetchpatch
, lvm2
, libuuid
, gettext
, readline
, dosfstools
, e2fsprogs
, perl
, python2
, utillinux
, check
, enableStatic ? false
}:
stdenv.mkDerivation rec {
name = "parted-3.2";
name = "parted-3.3";
src = fetchurl {
url = "mirror://gnu/parted/${name}.tar.xz";
sha256 = "1r3qpg3bhz37mgvp9chsaa3k0csby3vayfvz8ggsqz194af5i2w5";
sha256 = "0i1xp367wpqw75b20c3jnism3dg3yqj4a7a22p2jb1h1hyyv9qjp";
};
outputs = [ "out" "dev" "man" "info" ];
patches = stdenv.lib.optional doCheck ./gpt-unicode-test-fix.patch
++ stdenv.lib.optional stdenv.hostPlatform.isMusl
(fetchpatch {
url = "https://git.alpinelinux.org/cgit/aports/plain/main/parted/fix-includes.patch?id=9c5cd3c329a40ba4559cc1d8c7d17a9bf95c237b";
sha256 = "117ypyiwvzym6pi8xmy16wa5z3sbpx7gh6haabs6kfb1x2894z7q";
})
++ stdenv.lib.optional (lvm2 == null)
(fetchpatch {
url = https://git.savannah.gnu.org/cgit/parted.git/patch/?id=7e87ca3c531228d35e13e802d2622006138b104c;
sha256 = "0i29lfg8cwj342q5s7qwqhncz2bkifj5rjc7cx6jd4zqb6ykkndj";
});
postPatch = ''
patchShebangs tests
'';
@ -42,8 +43,7 @@ stdenv.mkDerivation rec {
# Tests were previously failing due to Hydra running builds as uid 0.
# That should hopefully be fixed now.
doCheck = !stdenv.hostPlatform.isMusl; /* translation test */
checkInputs = [ check perl python2 utillinux ];
checkInputs = [ check dosfstools e2fsprogs perl python2 utillinux ];
meta = {
description = "Create, destroy, resize, check, and copy partitions";

View file

@ -1,34 +0,0 @@
From Ludo's suggestion at:
http://debbugs.gnu.org/cgi/bugreport.cgi?msg=8;bug=18258
diff --git a/tests/t0251-gpt-unicode.sh b/tests/t0251-gpt-unicode.sh
index c845950..fa63a72 100755
--- a/tests/t0251-gpt-unicode.sh
+++ b/tests/t0251-gpt-unicode.sh
@@ -22,7 +22,24 @@ dev=loop-file
# create zeroed device
truncate -s 10m $dev || fail=1
-export LC_ALL=C.UTF-8
+found_locale=no
+for locale in en_US de_DE fr_FR es_ES
+do
+ LC_ALL="$locale.UTF-8"
+ export LC_ALL
+
+ # In a UTF-8 locale, the string below prints as 4 characters.
+ if [ `printf 'foo\341\264\244' | wc -m` -eq 4 ]; then
+ found_locale=yes
+ break
+ fi
+done
+
+if [ "$found_locale" != "yes" ]; then
+ echo "no valid UTF-8 locale found; skipping" >&2
+ exit 77
+fi
+
# create gpt label with named partition
part_name=$(printf 'foo\341\264\244')
parted -s $dev mklabel gpt mkpart primary ext2 1MiB 2MiB name 1 $part_name > empty 2>&1 || fail=1